Subject: Re: [PATCH v2] Re: [PATCH] _add-zle-hook-widget: New completion.
From: Daniel Shahaf <[email-masked]>
To: Oliver Kiddle <[email-masked]>
Cc: [email-masked]
Date: Fri, 22 Jul 2016 06:22:59 +0000
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Oliver Kiddle wrote on Thu, Jul 21, 2016 at 17:28:26 +0200:
> Daniel Shahaf wrote:
> > This is just a coding style question; there are arguments for both
> > sides.  What's the house style for completion functions, to have
> > explicit 'return' statements or not to have them?
> >
> > I'll make the v3 iteration use the house style, whatever it is.
> 
> I don't claim to be the arbiter on whatever the house style is.
> Most early completion code was written by Sven and I've tried to
> be consistent with that. Looking over some examples now, he didn't
> appear to use superfluous return statements.
> 
> In the end, it is more important to get the return status right,
> however.

I've decided to let PEP 20 be the arbiter and kept the return
statements.

> Furthermore, while checking that this wasn't intentional I noticed
> a couple of functions that use _normal where _default was meant.

_default appears to be undocumented.

Cheers,

Daniel